Bitcoin Stochastic RSI

Stochastic RSI momentum oscillator with %K and %D lines

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/stochastic-rsi/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.

before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.

limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

2 metrics
Metric

Stochastic RSI (%K)

Data used by the Bitcoin Stochastic RSI chart.

Endpoint
https://newhedge.io/api/v2/metrics/stochastic-rsi/stoch_rsi_k?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786752000000,
    10.8984
  ],
  [
    1786838400000,
    7.4862003
  ],
  [
    1786924800000,
    11.6928
  ]
]
Metric

Stochastic RSI (%D)

Data used by the Bitcoin Stochastic RSI chart.

Endpoint
https://newhedge.io/api/v2/metrics/stochastic-rsi/stoch_rsi_d?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786752000000,
    29.309898
  ],
  [
    1786838400000,
    16.5878
  ],
  [
    1786924800000,
    10.4111
  ]
]